#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# WebGLMaskManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLMaskManager.js:5`
Module: PIXI

## Constructor

### `WebGLMaskManager`

(

- `gl`

)
private

Defined in `src/pixi/renderers/webgl/utils/WebGLMaskManager.js:5`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- Index
- Methods

## Item Index

### Methods

- destroy
- popMask
- pushMask
- setBlendMode
- setContext

## Methods

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLMaskManager.js:65`

Destroys the mask stack

### `popMask`

(

- `renderSession`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLMaskManager.js:52`

Removes the last filter from the filter stack and doesn't return it

#### Parameters:

- `renderSession` RenderSession

  an object containing all the useful parameters

### `pushMask`

(

- `maskData`
- `renderSession`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLMaskManager.js:32`

Applies the Mask and adds it to the current filter stack

#### Parameters:

- `maskData` Array
- `renderSession` RenderSession

### `setBlendMode`

(

- `blendMode`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLBlendModeManager.js:17`

Sets-up the given blendMode from WebGL's point of view

#### Parameters:

- `blendMode` Number

  the blendMode, should be a Pixi const, such as PIXI.BlendModes.ADD

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLMaskManager.js:22`

Sets the drawing context to the one given in parameter

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context